E-MailRelay

Classes | Namespaces | Typedefs | Functions
gstringview.h File Reference
`#include "gdef.h"`
`#include <algorithm>`
`#include <stdexcept>`
`#include <ostream>`
`#include <cstring>`

Go to the source code of this file.

## Classes
class | G::basic_string_view< Tchar >
| A class template like c++17's std::basic_string_view. More...

## Namespaces
namespace | G
| Low-level classes.
namespace | G::StringViewImp
| An implementation namespace for G::basic_string_view.

## Typedefs
using | G::string_view = basic_string_view< char >
using | G::wstring_view = basic_string_view< wchar_t >

## Functions
constexpr unsigned int | G::StringViewImp::strlen_constexpr (const char *p) noexcept
constexpr unsigned int | G::StringViewImp::strlen_constexpr (const wchar_t *p) noexcept
std::size_t | G::StringViewImp::strlen (const char *p) noexcept
std::size_t | G::StringViewImp::strlen (const wchar_t *p) noexcept
constexpr bool | G::StringViewImp::same (std::size_t n, const char *p1, const char *p2) noexcept
template<typename Tchar >
std::basic_string< Tchar > | G::sv_to_string (basic_string_view< Tchar > sv)
std::ostream & | G::operator<< (std::ostream &stream, const string_view &sv)
std::wostream & | G::operator<< (std::wostream &stream, const wstring_view &sv)
template<typename Tchar >
void | G::swap (basic_string_view< Tchar > &a, basic_string_view< Tchar > b) noexcept
bool | G::operator== (const std::string &s, string_view sv)
bool | G::operator== (string_view sv, const std::string &s)
bool | G::operator!= (const std::string &s, string_view sv)
bool | G::operator!= (string_view sv, const std::string &s)